GCLOUD_COMPUTE_BACKEND-SERVICES_EDIT(1)

NAME

gcloud compute backend-services edit - modify backend services

SYNOPSIS

gcloud compute backend-services edit BACKEND_SERVICE_NAME [--global | --region=REGION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute backend-services edit can be used to modify a backend service. The backend service resource is fetched from the server and presented in a text editor. After the file is saved and closed, this command will update the resource. Only fields that can be modified are displayed in the editor. Backends are named by their associated instances groups, and one of the --group or --instance-group flags is required to identify the backend that you are modifying. You cannot "change" the instance group associated with a backend, but you can accomplish something similar with backend-services remove-backend and backend-services add-backend. The editor used to modify the resource is chosen by inspecting the EDITOR environment variable.

POSITIONAL ARGUMENTS

    BACKEND_SERVICE_NAME
        The name of the backend service to operate on.

FLAGS
At most one of these may be specified:

    --global
        If provided, it is assumed the backend service is global.

    --region=REGION
        The region of the backend service to operate on. Overrides the default compute/region property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.